com.opensymphony.xwork2.util.logging

## Interface Logger

- All Known Implementing Classes:
    CommonsLogger, JdkLogger, Log4j2Logger, Slf4jLogger

  Deprecated.
  since 2.5

      @Deprecated
      public interface Logger

  Main logger interface for logging things

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(String msg, Object... args)` Deprecated.
    `void` | `debug(String msg, String... args)` Deprecated.
    `void` | `debug(String msg, Throwable ex, String... args)` Deprecated.
    `void` | `error(String msg, Object... args)` Deprecated.
    `void` | `error(String msg, String... args)` Deprecated.
    `void` | `error(String msg, Throwable ex, String... args)` Deprecated.
    `void` | `fatal(String msg, String... args)` Deprecated.
    `void` | `fatal(String msg, Throwable ex, String... args)` Deprecated.
    `void` | `info(String msg, String... args)` Deprecated.
    `void` | `info(String msg, Throwable ex, String... args)` Deprecated.
    `boolean` | `isDebugEnabled()` Deprecated.
    `boolean` | `isErrorEnabled()` Deprecated.
    `boolean` | `isFatalEnabled()` Deprecated.
    `boolean` | `isInfoEnabled()` Deprecated.
    `boolean` | `isTraceEnabled()` Deprecated.
    `boolean` | `isWarnEnabled()` Deprecated.
    `void` | `trace(String msg, Object... args)` Deprecated.
    `void` | `trace(String msg, String... args)` Deprecated.
    `void` | `trace(String msg, Throwable ex, String... args)` Deprecated.
    `void` | `warn(String msg, Object... args)` Deprecated.
    `void` | `warn(String msg, String... args)` Deprecated.
    `void` | `warn(String msg, Throwable ex, String... args)` Deprecated.

- - ### Method Detail

    - #### trace

          void trace(String msg,
                     String... args)

      Deprecated.

    - #### trace

          void trace(String msg,
                     Object... args)

      Deprecated.

    - #### trace

          void trace(String msg,
                     Throwable ex,
                     String... args)

      Deprecated.

    - #### isTraceEnabled

          boolean isTraceEnabled()

      Deprecated.

    - #### debug

          void debug(String msg,
                     String... args)

      Deprecated.

    - #### debug

          void debug(String msg,
                     Object... args)

      Deprecated.

    - #### debug

          void debug(String msg,
                     Throwable ex,
                     String... args)

      Deprecated.

    - #### isDebugEnabled

          boolean isDebugEnabled()

      Deprecated.

    - #### info

          void info(String msg,
                    String... args)

      Deprecated.

    - #### info

          void info(String msg,
                    Throwable ex,
                    String... args)

      Deprecated.

    - #### isInfoEnabled

          boolean isInfoEnabled()

      Deprecated.

    - #### warn

          void warn(String msg,
                    String... args)

      Deprecated.

    - #### warn

          void warn(String msg,
                    Object... args)

      Deprecated.

    - #### warn

          void warn(String msg,
                    Throwable ex,
                    String... args)

      Deprecated.

    - #### isWarnEnabled

          boolean isWarnEnabled()

      Deprecated.

    - #### error

          void error(String msg,
                     String... args)

      Deprecated.

    - #### error

          void error(String msg,
                     Object... args)

      Deprecated.

    - #### error

          void error(String msg,
                     Throwable ex,
                     String... args)

      Deprecated.

    - #### isErrorEnabled

          boolean isErrorEnabled()

      Deprecated.

    - #### fatal

          void fatal(String msg,
                     String... args)

      Deprecated.

    - #### fatal

          void fatal(String msg,
                     Throwable ex,
                     String... args)

      Deprecated.

    - #### isFatalEnabled

          boolean isFatalEnabled()

      Deprecated.

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.